### Method

# EDataServer GDataQuery ref

since: 3.46

#### Declaration [src]

    EGDataQuery*
    e_gdata_query_ref (
      EGDataQuery* self
    )

#### Description [src]

Increases the reference count of the `self`. The added reference shuld be removed with e_gdata_query_unref().

Available since: 3.46

#### Return value

Type: `EGDataQuery`

The `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.